This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 668513 - thunderbird-lightning incompatible with thunderbird
thunderbird-lightning incompatible with thunderbird
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: sunbird (Show other bugs)
el6
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-10 12:13 EST by Jakob Malm
Modified: 2017-05-29 11:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-29 11:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakob Malm 2011-01-10 12:13:46 EST
Description of problem:
The version of thunderbird-lightning in EPEL6 is incompatible with thunderbird in RHEL6, and useless, as a result.


Version-Release number of selected component (if applicable):
thunderbird-lightning-1.0-0.21.20090916hg.el6
(And thunderbird-3.1.7-3.el6_0

How reproducible:
Every time

Steps to Reproduce:
1. Fresh install of RHEL6
2. Install thunderbird
3. Install thunderbird-lightning
  
Actual results:
Thunderbird says (in plugins window) that Lightning is incompatible with version 3.1.7 of thunderbird. Lightning is not enabled.


Expected results:
Lightning should be usable from within thunderbird.

Additional info:
https://help.ubuntu.com/community/ThunderbirdLightning claims that thunderbird 3.1 needs lightning 1.0b2. The one in EPEL6 says (in install.rdf) that it is version 1.0b2pre.
Comment 1 David Ward 2011-02-20 20:04:28 EST
@Lubomir:

Fedora 14 contains a version of Lightning that is compatible with Thunderbird
3.1.7.  However, in Fedora 14 the "thunderbird-lightning" RPM was recently
moved into the "thunderbird" package out of the "sunbird" package, where it is
in EPEL 6 now.

RHEL already has a "thunderbird" package.  Is it a conflict to have a
"thunderbird" package in EPEL as well, which only builds thunderbird-lightning?

If that is not a problem, then the "thunderbird" package from Fedora 14 should
be copied into EPEL, except that building the "thunderbird" RPM itself should
be disabled.
Comment 2 Vít Ondruch 2011-03-23 03:54:59 EDT
The lightning is not part of Thunderbird anymore: http://pkgs.fedoraproject.org/gitweb/?p=thunderbird.git;a=commit;h=c7ccebccb44afbe3c0a42b84107b9888430df5ef
Comment 3 David Ward 2011-05-11 21:28:01 EDT
@Lubomir: You have not responded to this bug report since it was opened four months ago. Please respond if you are still maintaining the sunbird package. Otherwise I will ask FESco to take over this package, following the process described in: http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

--

A separate source RPM for 'thunderbird-lightning' was created for EPEL, which works great.  It has not made its way into epel-testing yet, but the current build can be downloaded from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=239998

Note that the broken version of Lightning that we see in EPEL is actually built by the 'sunbird' source RPM in EPEL.  The current versions of Fedora do not build Lightning from the 'sunbird' source RPM any longer; they have a separate 'thunderbird-lightning' source RPM just like the one that I am pointing to above.

In order for the 'thunderbird-lightning' source RPM above to make its way into epel-testing and then into epel, the 'sunbird' source RPM may need to be fixed first so that it doesn't build Lightning anymore.  It turns out that the current 'sunbird' source RPM from Fedora 14 Updates builds, installs, and runs perfectly as-is on RHEL 6, and it excludes Lightning.  (Just download it and do 'rpmbuild --rebuild'.)

I am requesting that a maintainer replace the contents of the 'sunbird' source RPM in EPEL 6 with the contents of the source RPM from Fedora 14 Updates, to enable the 'thunderbird-lightning' source RPM above to make it into EPEL.
Comment 4 David Ward 2011-05-11 21:30:34 EDT
@Marek Mahut (mmahut):  It seems that you have ACL on this package, can you please carry out the previous request?
Comment 5 Vít Ondruch 2011-05-12 01:08:54 EDT
Sunbird is not actively maintained upstream [1]. It is supposed to be replaced by Thunderbird + Lightning. Thus Sunbird should be completely retired IMO.

[1] http://www.mozilla.org/projects/calendar/sunbird/
Comment 6 David Ward 2011-05-12 09:56:39 EDT
@Vit, I agree. There's no longer a sunbird package in Fedora 15 either -- although Lubomir is also the sunbird maintainer in Fedora as well, and the sunbird package could have just not made it into Fedora 15 due to a lack of action instead of a deliberate decision.
Comment 7 David Ward 2011-05-21 10:48:12 EDT
SECOND TRY -- @Lubomir: You have not responded to this bug report since it was opened four months ago. Please respond if you are still maintaining the sunbird package. Otherwise I will ask FESco to delete this package, following the process described in: http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 8 Lubomir Rintel 2011-06-01 04:27:53 EDT
Uh, sorry for my non-responsiveness. I am not able to maintain Sunbird any more and am orphaning the package.
Comment 9 John Hodrien 2011-09-16 10:28:37 EDT
So...?  The still seem to be an unusable thunderbird-lightning in EPEL EL6.
Comment 10 John Hodrien 2011-09-16 10:29:55 EDT
Sorry, ignore that last one, this ticket is a dupe of 676699
Comment 11 Vít Ondruch 2017-05-29 11:00:28 EDT
thunderbird-lightning was retired in EPEL6 almost two years ago [1], no reason to keep this open.


[1]: http://pkgs.fedoraproject.org/cgit/rpms/thunderbird-lightning.git/commit/?h=el6&id=0bb98a7748e1e96977c4accb9e51d5ea47843de6

Note You need to log in before you can comment on or make changes to this bug.